using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Table("ATSavedSearch")]
[Index("ProcessId", Name = "ATSavedSearch_IX_ProcessID")]
public partial class AtsavedSearch
{
    [Key]
    [Column("Query_ID")]
    public int QueryId { get; set; }

    [Column("ATName")]
    [StringLength(128)]
    public string? Atname { get; set; }

    [StringLength(255)]
    public string? UserName { get; set; }

    public short? QueryType { get; set; }

    public short? QueryLevel { get; set; }

    [Column(TypeName = "image")]
    public byte[]? GridString { get; set; }

    [Column("ProcessID")]
    public int? ProcessId { get; set; }

    public int? WorkItemType { get; set; }

    public int? ShortcutKey { get; set; }

    public short? ReferenceType { get; set; }
}
